xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) 2007 James Webb
License | BSD-style (see xmonad/LICENSE)
Maintainer | xmonad#jwebb,sygneca,com
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.MosaicAlt

Contents

- Usage:

Description

A layout which gives each window a specified amount of screen space relative to the others. Compared to the `Mosaic` layout, this one divides the space in a more balanced way.

Synopsis

- newtype MosaicAlt a = MosaicAlt Params
- shrinkWindowAlt :: Window -> HandleWindowAlt
- expandWindowAlt :: Window -> HandleWindowAlt
- tallWindowAlt :: Window -> HandleWindowAlt
- wideWindowAlt :: Window -> HandleWindowAlt
- resetAlt :: HandleWindowAlt
- type Params = Map Window Param
- data Param
- data HandleWindowAlt

# Usage:

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.MosaicAlt
    import qualified Data.Map as M

Then edit your `layoutHook` by adding the MosaicAlt layout:

    myLayout = MosaicAlt M.empty ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see the tutorial and XMonad.Doc.Extending.

In the key-bindings, do something like:

        , ((modm .|. shiftMask  , xK_a    ), withFocused (sendMessage . expandWindowAlt))
        , ((modm .|. shiftMask  , xK_z    ), withFocused (sendMessage . shrinkWindowAlt))
        , ((modm .|. shiftMask  , xK_s    ), withFocused (sendMessage . tallWindowAlt))
        , ((modm .|. shiftMask  , xK_d    ), withFocused (sendMessage . wideWindowAlt))
        , ((modm .|. controlMask, xK_space), sendMessage resetAlt)
        ...

For detailed instruction on editing the key binding see:

the tutorial.

newtype MosaicAlt a Source #

Constructors

MosaicAlt Params |

#### Instances

Instances details

LayoutClass MosaicAlt Window Source # |

Instance details

Defined in XMonad.Layout.MosaicAlt

Methods

runLayout :: Workspace WorkspaceId (MosaicAlt Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (MosaicAlt Window)) Source #

doLayout :: MosaicAlt Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (MosaicAlt Window)) Source #

pureLayout :: MosaicAlt Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] Source #

emptyLayout :: MosaicAlt Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (MosaicAlt Window)) Source #

handleMessage :: MosaicAlt Window -> SomeMessage -> X (Maybe (MosaicAlt Window)) Source #

pureMessage :: MosaicAlt Window -> SomeMessage -> Maybe (MosaicAlt Window) Source #

description :: MosaicAlt Window -> String Source #

Read (MosaicAlt a) Source # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods readsPrec :: Int -> ReadS (MosaicAlt a) Source # readList :: ReadS [MosaicAlt a] Source # readPrec :: ReadPrec (MosaicAlt a) Source # readListPrec :: ReadPrec [MosaicAlt a] Source #
Show (MosaicAlt a) Source # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods showsPrec :: Int -> MosaicAlt a -> ShowS Source # show :: MosaicAlt a -> String Source # showList :: [MosaicAlt a] -> ShowS Source #

shrinkWindowAlt :: Window -> HandleWindowAlt Source #

expandWindowAlt :: Window -> HandleWindowAlt Source #

tallWindowAlt :: Window -> HandleWindowAlt Source #

wideWindowAlt :: Window -> HandleWindowAlt Source #

resetAlt :: HandleWindowAlt Source #

type Params = Map Window Param Source #

data Param Source #

#### Instances

Instances details

Read Param Source # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods readsPrec :: Int -> ReadS Param Source # readList :: ReadS [Param] Source # readPrec :: ReadPrec Param Source # readListPrec :: ReadPrec [Param] Source #
Show Param Source # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods showsPrec :: Int -> Param -> ShowS Source # show :: Param -> String Source # showList :: [Param] -> ShowS Source #

data HandleWindowAlt Source #

#### Instances

Instances details

Eq HandleWindowAlt Source # |
Instance details Defined in XMonad.Layout.MosaicAlt Methods (==) :: HandleWindowAlt -> HandleWindowAlt -> Bool Source # (/=) :: HandleWindowAlt -> HandleWindowAlt -> Bool Source #
Message HandleWindowAlt Source # |
Instance details Defined in XMonad.Layout.MosaicAlt